Skip to main content
GET
/
nft
/
collection
/
traits
Get Collection Traits
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/collection/traits \
  --header 'X-API-KEY: <api-key>'
{
  "traits": [
    {
      "name": "Background"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10200,
11155111,
11155420,
11297108109,
1135,
1284,
1285,
137,
2020,
25,
250,
369,
4002,
4202,
42161,
421614,
43114,
545,
56,
59141,
59144,
747,
80002,
8453,
84532,
88882,
88888,
97
Example:

1

contractAddress
string
default:0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8
required

The address of the NFT collection to query.

Example:

"0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
Alchemy,
Moralis

Response

200 - application/json
traits
object[]
required

The traits of the NFT collection.